Get cluster namespace secret details

Get cluster namespace secret details

get

Get detailed information for the Secret in the specified cluster and namespace.

Path parameters
clusterIdstringRequired
namespaceNamestringRequired
secretNamestringRequired
Responses
chevron-right
200

OK

*/*
creationTimestampstringOptionalExample: 2023-04-29 05:54:51
deploymentstringOptional

Deployment informatio

Example: {"apiVersion":"v1","data"...
deploymentYamlstringOptional

Deployment informatio(YAML)

Example: apiVersion: v1 kind: Secret metadata: ...
descriptionstringOptional
namestringOptional

Secret name

Example: cocktail-api-cmdb
namespacestringOptional

namespace name

Example: cocktail-system
typestringOptional

Secret type(Generic, DockerRegistry, Tls, BasicAuth, SshAuth)

Example: Generic
get
/v1/clusters/{clusterId}/namespaces/{namespaceName}/secrets/{secretName}
200

OK